Bug Hunting Session
Bug 86132 - TOOLBAR: Improvement to number format tooltips
Summary: TOOLBAR: Improvement to number format tooltips
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0 target:4.4.0.0.beta2 ta...
Keywords:
Depends on:
Blocks: Number-Format Calc-Toolbars-Revamp
  Show dependency treegraph
 
Reported: 2014-11-10 23:57 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 20:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-10 23:57:41 UTC
Presently the number format buttons in the formatting toolbar look like 'Number Format: Currency' and i think this is not well worded. Below are the tooltips used by other similar apps.

WPS Spreadsheet : Currency, Percent Style, Comma Style, Increase Decimal

Excel 2003 : Currency Style, Percent Style, Comma Style, Increase Decimal

Gnumeric : Format the selection as accounting, Format the selection as percentage, Set the format of the selected cells to include a thousand separator, Increase the number of decimals displayed

Calligra Sheets : Set the cell formatting to look like a percentage, Set the cell formatting to look like your local currency, Increase the decimal precision shown onscreen

So in order for these buttons to have a similar tooltip as the menu items that will be added in bug 86086, these buttons should be named like 'Currency Format'. Initially i was going to propose the use of 'Format as Currency' for the tooltips, but dont think that would work in the menu.
Comment 1 Yousuf Philips (jay) (retired) 2014-11-11 00:18:50 UTC
Alternatively we could go with ones like 'Currency Style'.
Comment 2 Heiko Tietze 2014-11-11 00:38:33 UTC
Basically, I recommend to specify general guidelines for those questions. In respect to the caption of tooltips it makes sense to talk about the action users can do with an object. The action is communicated through verbs followed by a noun for the object. 

"Format as decimal", "Format as percent" would be the right label according this guideline. Here is an old blog post on this topic: http://user-prompt.com/de/tip-the-tool-how-to-label-toolbar-functions/

"Style" in terms of "Apply percentage style" sounds good as well but might go a little bit too far since only one property is set.
Comment 3 A (Andy) 2014-11-13 22:46:07 UTC
I could also live with the current naming.  But the naming as Heiko wrote and the initial idea of Jay with "Format as Currency", "Format as Decimal" and "Format as Percent" sound good / better.
Comment 4 Yousuf Philips (jay) (retired) 2014-11-14 00:08:47 UTC
Patch is in - https://gerrit.libreoffice.org/#/c/12416/
Comment 5 Commit Notification 2014-11-15 15:42:49 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c481f596877f52e1c801981618ebfbf2aab88dcf

fdo#86132 add useful tooltips to number formatting toolbar buttons

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Maxim Monastirsky 2014-11-18 22:02:50 UTC
Hi Jay,

Do you aware of the fact that tooltips that you set in the toolbar xml, are gone with *any* toolbar customization? Also - I'm not sure that those tooltips are translatable (I'm not familiar enough with the build system, but it something worth checking.)
Comment 7 Yousuf Philips (jay) (retired) 2014-11-18 22:26:46 UTC
(In reply to Maxim Monastirsky from comment #6)
> Hi Jay,

Hi Maxim,

> Do you aware of the fact that tooltips that you set in the toolbar xml, are
> gone with *any* toolbar customization?

No i wasnt aware that they disappear. I've customized a number of toolbars and i've seen tooltips get inserted into the XML whenever i add new buttons to the toolbar. Well luckily most people dont customize their toolbars, so atleast we know it wont effect them. :D

> Also - I'm not sure that those
> tooltips are translatable (I'm not familiar enough with the build system,
> but it something worth checking.)

Samuel told me that they will be translatable according to the work he did to make this possible of having different text as tooltips compared to their menu labels.
Comment 8 Yousuf Philips (jay) (retired) 2014-11-21 15:48:11 UTC
Well i just found out how to do tooltips the right way :D. https://gerrit.libreoffice.org/#/c/13023/
Comment 9 Commit Notification 2014-11-25 11:31:08 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c609824138ebe50053aa42a33cdcd3b8f113193e&h=libreoffice-4-4

fdo#86132 add tooltips to calc xcu file

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-11-25 11:32:23 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82c998977b62b5fb7a01b5e9838d7f6868d697bf

fdo#86132 add tooltips to calc xcu file

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.